%define oname   snaky_hash

Name:       ruby-%{oname}
Version:    2.0.1
Release:    %mkrel 1
Summary:    A Hashie::Mash joint to improve #snake_life for everyone
License:    MIT
Group:      Development/Ruby
URL:        https://gitlab.com/oauth-xx/snaky_hash
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
This gem is used by the oauth and oauth2 gems, and others, to normalize hash keys and lookups,
and provide a nice psuedo-object interface.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Tue Feb 04 2025 papoteur <papoteur> 2.0.1-1.mga10
+ Revision: 2145111
- import for vagrant

